var ImageStaticController = function($scope, ScreenService) {
	function formatValue(value) {
	  // Se o valor for um número, adiciona 'px' como sufixo
	  if (typeof value === 'number') {
	    return value + 'px';
	  }
	
	  // Se o valor for uma string
	  if (typeof value === 'string') {
	    // Verifica se a string já possui um sufixo (usando uma expressão regular)
	    var hasSuffix = /[a-zA-Z%]+$/.test(value);
	
	    // Se não tiver sufixo, adiciona 'px'
	    if (!hasSuffix) {
	      return value + 'px';
	    }
	
	    // Se já tiver sufixo, retorna a string original
	    return value;
	  }
	
	  // Caso o valor não seja número nem string, retorna '0px' como fallback
	  return '0px';
	}

	$scope.getImageStyle = function() {
		return 'height: ' + formatValue($scope.field.height) + '; width: ' + formatValue($scope.field.width) + '; object-fit: ' + ($scope.field.objectFit || 'unset') + ';';  
	};
};

ZeedhiController.controller('ImageStaticController', ImageStaticController);